server:
  port: 8300

spring:
  application:
    name: API-GATEWAY

  main:
    allow-bean-definition-overriding: true

  cloud:
    gateway:

      routes:

        # ================= DEPARTMENT =================

        - id: department-microservice
          uri: http://localhost:8303
          predicates:
            - Path=/department_service/**
         

        # ================= DESIGNATION =================

        - id: designation-microservice
          uri: http://localhost:8304
          predicates:
            - Path=/designation_service/**
        

        # ================= EMPLOYEE =================

        - id: employee-microservice
          uri: http://localhost:8305
          predicates:
            - Path=/employee_service/**
         

        # ================= ASSET TYPE =================

        - id: asset-type-microservice
          uri: http://localhost:8306
          predicates:
            - Path=/asset_type_service/**
        
        # ================= ASSET MAKE =================

        - id: asset-make-microservice
          uri: http://localhost:8307
          predicates:
            - Path=/asset_make_service/**
#          filters:
#            - StripPrefix=1

        # ================= PURCHASE ORDER =================

        - id: purchase-order-microservice
          uri: http://localhost:8308
          predicates:
            - Path=/purchase_order_service/**
#          filters:
#            - StripPrefix=1

        # ================= ASSET =================

        - id: asset-microservice
          uri: http://localhost:8309
          predicates:
            - Path=/asset_service/**
#          filters:
#            - StripPrefix=1

        # ================= CALL LOGGING =================

        - id: call-logging-microservice
          uri: http://localhost:8310
          predicates:
            - Path=/call_logging_service/**
#          filters:
#            - StripPrefix=1

        # ================= ASSET ALLOCATION =================

        - id: asset-allocation-microservice
          uri: http://localhost:8311
          predicates:
            - Path=/asset_allocation_service/**
#          filters:
#            - StripPrefix=1

        # ================= SPARE ENTRY =================

        - id: spare-entry-microservice
          uri: http://localhost:8312
          predicates:
            - Path=/spare_entry_service/**
#          filters:
#            - StripPrefix=1

        # ================= ASSET REPLACEMENT =================

        - id: asset-replacement-microservice
          uri: http://localhost:8315
          predicates:
            - Path=/asset_replacement_service/**
          filters:
            - StripPrefix=1

        # ================= ASSET RETURN =================

        - id: asset-returned-microservice
          uri: http://localhost:8317
          predicates:
            - Path=/asset_returned_service/**
#          filters:
#            - StripPrefix=1

        # ================= ASSET BOUGHT =================

        - id: asset-bought-microservice
          uri: http://localhost:8318
          predicates:
            - Path=/asset_bought_service/**
#          filters:
#            - StripPrefix=1

        # ================= ASSET STATUS CHANGE =================

        - id: asset-status-change-microservice
          uri: http://localhost:8319
          predicates:
            - Path=/asset_status_change_service/**
#          filters:
#            - StripPrefix=1

        # ================= APPROVAL WORKFLOW =================

        - id: approval-workflow-microservice
          uri: http://localhost:8320
          predicates:
            - Path=/approval_workflow_service/**
#          filters:
#            - StripPrefix=1

        # ================= LOGIN AUTH =================

        - id: login-outh
          uri: http://localhost:8705
          predicates:
            - Path=/api/users/**
          

# ================= EUREKA =================

eureka:
  instance:
    prefer-ip-address: true

  client:
    fetch-registry: true
    register-with-eureka: true

    service-url:
      defaultZone: http://localhost:8182/eureka

# ================= JWT =================

jwt:
  public-key: |
    -----BEGIN PUBLIC KEY-----
    MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAq0kI4Bu/tRQJ1wfhSLhQ
    Vt5oc4s5kzI/0x2Bc2I+s2xHyq6BRcKJv6IEkQGEAfPljdrG0vUBUpy/0c8pgvdv
    IEydhS7cKKSSIp/xLnPmeTfoNdlY1CqnL1K1ywKDn4mplPMVPl0XxcOR02x1jHXy
    jW9p6lO+oIgQaro0RS08ryduurMa38yYGwy12GdjuGE8zhEh/RcirJevYjzmB5LC
    ubSEPKmjQiI4pwht5HBZQ9Nmqa0l1+0f8VH4jLNiQEvef4Rlch1NgPgOWLoegD/+
    HXFy00rXdDDJg5aSuN5OBJimYXOaTeA91UxiFi13UZVto0GzHZIMu7UH1wO3tAO2
    SQIDAQAB
    -----END PUBLIC KEY-----